# eric3.Preferences.Shortcuts

Module implementing functions dealing with keyboard shortcuts.

Note: These functions are imported into the Preferences package and should be called like Preferences.readShortcuts(...).

### Classes

None

### Functions

exportShortcuts | Module function to export the keyboard shortcuts for the defined QActions.
importShortcuts | Module function to import the keyboard shortcuts for the defined E3Actions.
readShortcuts | Module function to read the keyboard shortcuts for the defined QActions.
saveShortcuts | Module function to write the keyboard shortcuts for the defined QActions.
setActions | Function to set actions based on new format shortcuts file.
setActions_35 | Function to set actions based on old format shortcuts file.

## exportShortcuts

exportShortcuts(fn)

Module function to export the keyboard shortcuts for the defined QActions.

fn
  filename of the export file (string)

Returns:
  flag indicating success

Up

## importShortcuts

importShortcuts(fn)

Module function to import the keyboard shortcuts for the defined E3Actions.

fn
  filename of the import file (string)

Returns:
  flag indicating success

Up

## readShortcuts

readShortcuts(ui, prefClass = Prefs)

Module function to read the keyboard shortcuts for the defined QActions.

ui
  reference to the main widget (UI.UserInterface)
prefClass
  preferences class used as the storage area

Up

## saveShortcuts

saveShortcuts(prefClass = Prefs)

Module function to write the keyboard shortcuts for the defined QActions.

prefClass
  preferences class used as the storage area

Up

## setActions

setActions(shortcuts, ui)

Function to set actions based on new format shortcuts file.

shortcuts
  dictionary containing the accelerator information read from a XML file
ui
  reference to the main window

Up

## setActions_35

setActions_35(shortcuts, ui)

Function to set actions based on old format shortcuts file.

shortcuts
  dictionary containing the accelerator information read from a XML file
ui
  reference to the main window

Up